<?php
include_once '../core/core.php';
$gd = get_extension_funcs("gd");
if (!$gd){
	echo 'Sorry GD no installed!';
	exit();
} 
header('Content-type: image/png'); //тип возвращаемого содержимого (картинка в формате PNG) 
$im = imagecreatetruecolor($sys->get("w","Captcha"), $sys->get("h","Captcha")); //создаёт новое изображение
imagesavealpha($im, true); //устанавливает прозрачность изображения
$bg = imagecolorallocatealpha($im, 0, 0, 0, 127); //идентификатор цвета для изображения
imagefill($im, 0, 0, $bg); //выполняет заливку цветом
putenv( 'GDFONTPATH=' . realpath('.') ); //проверяет путь до файла со шрифтами
$captcha = '';//обнуляем текст
  for ($i = 0; $i < $sys->get("count","Captcha"); $i++)
  {
    $captcha .= $sys->get("letters","Captcha")[ rand(0, strlen($sys->get("letters","Captcha"))-1) ]; // дописываем случайный символ из алфавила 
    $x = ($sys->get("w","Captcha") - 20) / $sys->get("count","Captcha") * $i + 10;//растояние между символами
    $x = rand($x, $x+4);//случайное смещение
    $y = $sys->get("h","Captcha") - ( ($sys->get("h","Captcha") - $sys->get("size","Captcha")) / 2 ); // координата Y
    $curcolor = imagecolorallocate( $im, rand($sys->get("minR","Captcha"), $sys->get("maxR","Captcha")), rand($sys->get("minG","Captcha"), $sys->get("maxG","Captcha")), rand($sys->get("minB","Captcha"), $sys->get("maxB","Captcha")) );//цвет для текущей буквы
    $angle = rand($sys->get("minAngle","Captcha"), $sys->get("maxAngle","Captcha"));//случайный угол наклона 
    imagettftext($im, $sys->get("size","Captcha"), $angle, $x, $y, $curcolor, ROOT.$sys->get("path","Captcha"), $captcha[$i]); //вывод текста
  }
$_SESSION['captcha'] = $captcha;
imagepng($im); //выводим изображение
imagedestroy($im);//отчищаем память

?>